CREATE TABLE NAJAVE_PERIOD (
ID_NAJAVE_PERIOD NUMBER NOT NULL,
DATE_FROM DATE,
DATE_TO DATE,
FREQUENCY NUMBER,
CONSTRAINT NAJAVE_PERIOD_PK PRIMARY KEY (ID_NAJAVE_PERIOD)
);

CREATE SEQUENCE NAJAVE_PERIOD_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NAJAVE_PERIOD_DETAIL (
ID_NAJAVE_PERIOD_DETAIL NUMBER NOT NULL,
ID_NAJAVE_PERIOD NUMBER,
ID_NAJAVE NUMBER,
CONSTRAINT NAJAVE_PERIOD_DETAIL_PK PRIMARY KEY (ID_NAJAVE_PERIOD_DETAIL)
);

CREATE SEQUENCE NAJAVE_PERIOD_DETAIL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE INDEX IX_NPD_ID_NAJAVE_PERIOD ON NAJAVE_PERIOD_DETAIL (ID_NAJAVE_PERIOD);
CREATE INDEX IX_NPD_ID_NAJAVE ON NAJAVE_PERIOD_DETAIL (ID_NAJAVE);

DROP VIEW V_SALDKONT_PREPAYMENTS;

CREATE OR REPLACE VIEW V_SALDKONT_PREPAYMENTS AS
(
select a.id_saldkont_zap, a.id_saldkont, a.Znesek, a.Znesek_davka, a.Tecaj, b.n_racuna, b.za_placilo, b.protivrednost, 
b.DATUM, b.valuta_rn, b.davek_akont, b.tecaj_valute, b.id_racuna, f.stevilka, r.znesek as rdznesek, r.dav_stopnja, 
rk.opis as racun_kupca, (r.neto*a.znesek/r.znesek) as neto, NS.OPIS AS NNSTOAK_OPIS, NS.INTERNI_OPIS AS NNSTOAK_INTERNI_OPIS
FROM
saldkont_zap a JOIN saldkont b on a.id_pl_saldkont=b.id_saldkont 
LEFT OUTER JOIN SALDKONT_FISC f on a.id_saldkont_zap=f.id_saldkont_fisc 
LEFT OUTER JOIN RACUN_DATA R ON b.id_saldkont=r.id_saldkont
LEFT OUTER JOIN RACUNI_KUPCEV RK on b.id_racuna=rk.id_racuna
LEFT OUTER JOIN NNSTOAK NS ON B.stoak=NS.sifra
WHERE b.vrsta_racuna in ('AKO','AKF')
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2049, SYSDATE, '5.5', 1969, 'NAJAVE PERIOD')
;
